{
  "openapi": "3.0.0",
  "tags": [
    {
      "name": "Metrics",
      "description": "",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#SendNotifications",
        "description": "Learn more"
      }
    },
    {
      "name": "Send Notifications",
      "description": "This document describes the payload details for sending events using the API sources in Event Notifications. API sources can be used to send events from your backend applications. Event Notifications supports two modes to make HTTP calls. This is adhering to the CloudEvents specification. These modes are Binary Mode and Structured mode. More details here - https://github.com/cloudevents/spec. In the Binary Content Mode, the value of the event data is placed into the HTTP request, or response, body as-is, with the datacontenttype attribute value declaring its media type in the HTTP Content-Type header; all other event attributes are mapped to HTTP headers. All the attribute names are prefixed with ce- and added to the header (except for the data and datacontenttype). When mandatory attributes of CloudEvents (specversion, id, type, and source) are passed as part of headers the request is treated as binary mode. Structured Mode. In the Structured Content Mode, event metadata attributes and event data are placed into the HTTP request body. For structured mode, set the Content-Type header to application/cloudevents+json. Mandatory attributes of CloudEvents (specversion, id, type, and source) are required to be part of the request body. In addition, id data is provided as datacontenttype which is mandatory. We only support datacontenttype as \"application/json\".",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#SendNotifications",
        "description": "Learn more"
      }
    },
    {
      "name": "Sources",
      "description": "IBM Cloud Event Notifications Sources",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Sources",
        "description": "Learn more"
      }
    },
    {
      "name": "Topics",
      "description": "IBM Cloud Event Notifications Topics",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Topics",
        "description": "Learn more"
      }
    },
    {
      "name": "Templates",
      "description": "IBM Cloud Event Notifications Templates",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Templates",
        "description": "Learn more"
      }
    },
    {
      "name": "Destinations",
      "description": "IBM Cloud Event Notifications Destinations",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Destinations",
        "description": "Learn more"
      }
    },
    {
      "name": "Push Destination APIs",
      "description": "IBM Cloud Event Notifications Destinations tags",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#PushDestinationAPIs",
        "description": "Learn more"
      }
    },
    {
      "name": "Subscriptions",
      "description": "IBM Cloud Event Notifications Subscriptions",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Subscriptions",
        "description": "Learn more"
      }
    },
    {
      "name": "Integrations",
      "description": "IBM Cloud Event Notifications Integrations",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#Integrations",
        "description": "Learn more"
      }
    },
    {
      "name": "SMTP Configurations",
      "description": "IBM Cloud Event Notifications SMTP Configurations",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#SMTPConfigurations",
        "description": "Learn more"
      }
    },
    {
      "name": "Get Notifications Status",
      "description": "This document describes the payload details for getting Notification status for Webhook Destination Test notifications.",
      "externalDocs": {
        "url": "https://cloud.ibm.com/apidocs/event-notifications#get-notifications-status",
        "description": "Learn more"
      }
    }
  ],
  "servers": [
    {
      "url": "https://us-south.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://eu-gb.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://au-syd.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://eu-de.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://eu-es.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://ca-tor.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://jp-tok.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://jp-osa.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://br-sao.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://ca-mon.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://us-east.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://in-che.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://eu-fr2.event-notifications.cloud.ibm.com/event-notifications"
    },
    {
      "url": "https://in-mum.event-notifications.cloud.ibm.com/event-notifications"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "info": {
    "version": "1.0",
    "title": "Event Notifications API",
    "x-alternate-name": "Event Notifications",
    "x-sdk-supported-languages": [
      "go",
      "node",
      "python",
      "java"
    ],
    "contact": {
      "name": "IBM Event Notifications",
      "email": "example1@in.ibm.com"
    },
    "license": {
      "name": "This product includes software originally developed by IBM Corporation,  \n Copyright 2018 IBM Corp.",
      "url": "https://www.ibm.com/legal/copytrade"
    },
    "x-codegen-config": {
      "improvedNameFormattingV2": true,
      "go": {
        "apiPackage": "github.com/IBM/event-notifications-go-admin-sdk",
        "improvedNameFormattingV2": true
      },
      "cli": {
        "improvedNameFormattingV2": true,
        "apiPackage": "github.ibm.com/Notification-Hub/en-cli-plugin",
        "cliPluginName": "event-notifications",
        "cliPluginNameAliases": [
          "en"
        ],
        "singleServicePlugin": true
      },
      "java": {
        "apiPackage": "com.ibm.cloud.eventnotifications"
      },
      "python": {
        "apiPackage": "ibm_eventnotifications"
      },
      "terraform": {
        "apiEndpoint": "IBMCLOUD_EVENT_NOTIFICATIONS_API_ENDPOINT"
      }
    },
    "x-last-updated": "2026-05-11",
    "x-github": "https://github.ibm.com/cloud-api-docs/event-notifications",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/event-notifications/issues/new",
    "description": "## Introduction\n\nIBM Cloud® Event Notifications alerts you to critical events occurring in your IBM Cloud account. You can, in turn send filtered notifications to a set of your users, through a notification channel destination of choice. These users need not be IBM Cloud users.\n\nSend notifications for events of your choice and customize specific events to specific destination channels and user groups. Destinations that are currently supported include:\n\n- Email, uses an IBM Cloud provided email service to send emails to your recipients.\n- Webhooks, send events from supported IBM Cloud services to webhook destinations of your choice.\n\n### SDKs\n\nFor more information about installation and technical concepts, see the 'README' document in the SDK.\n\n|Admin SDKs                          | Client SDKs                                                                                      \n|-------------------------------------|--------------------------------------------------------------------------------------------------\n|[Go](https://github.com/IBM/event-notifications-go-admin-sdk) | [Android SDK](https://github.com/IBM/event-notifications-destination-android-sdk)    |[Go Admin SDK](https://github.com/IBM/appconfiguration-go-admin-sdk) |\n|[Node](https://github.com/IBM/event-notifications-node-admin-sdk) | [Huawei Android SDK](https://github.com/IBM/event-notifications-huawei-android-sdk) |\n|[Java](https://github.com/IBM/event-notifications-java-admin-sdk) | [iOS SDK](https://github.com/IBM/event-notifications-destination-ios-sdk)            |\n|[Python](https://github.com/IBM/event-notifications-python-admin-sdk) | &nbsp;&nbsp;                                                                                     | &nbsp;&nbsp; |\n\nThe code examples on this tab use the IBM Cloud Event Notifications admin SDK for Go.\n\nInstallation\n\n```\n go get -u github.com/IBM/event-notifications-go-admin-sdk\n```\n\nFor more installation options, view this project in [GitHub](https://github.com/IBM/event-notifications-go-admin-sdk).\n\nInstallation\n\n```\n npm install ibm-event-notifications-node-admin-sdk\n```\n\nFor more installation options, view this project in [GitHub](https://github.com/IBM/event-notifications-node-admin-sdk).\n\nInstallation\n\n**Maven**\n\n```xml\n<dependency>\n    <groupId>com.ibm.cloud</groupId>\n    <artifactId>event-notifications</artifactId>\n    <version>0.0.2</version>\n</dependency>\n```\n\n**Gradle**\n```gradle\ncompile 'com.ibm.cloud:event-notifications:0.0.2'\n```\n\nFor more installation options, view this project in [GitHub](https://github.com/IBM/event-notifications-java-admin-sdk).\n\nInstallation\n\n```\n pip install --upgrade \"ibm_eventnotifications\"\n```\n\nFor more installation options, view this project in [GitHub](https://github.com/IBM/event-notifications-python-admin-sdk).\n\nIBM Cloud® Event Notifications service provides different APIs that you can use to create and work with your Node.js microservice apps. The API endpoint determines where your Event Notifications actions run and where your app data is stored. By default, all information that is stored in Event Notifications is encrypted in transit and at rest. To ensure disaster recovery, your data is replicated to another location within the same geography. Make sure that your data can be stored in these regions before you start with the Event Notifications service.\n\n### Endpoint list\n\nThe following table contains the base URLs for the Event Notifications API endpoints. When you call the API, use the URL that corresponds to the region where your service instance is deployed. Add the path for each method to form the complete API endpoint for your requests.\n\n|Location|API endpoint|Location where Event Notifications actions run|Data is stored in|Data is replicated to|\n|-------------|------------------|------|--------|-------|\n|Dallas|**Public**: `https://us-south.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.us-south.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Dallas (`us-south`) location.|All metadata for the app's features are stored in the Dallas (`us-south`) location.| Data is replicated between three zones within `us-south` for high-availability. |\n|London|**Public**: `https://eu-gb.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.eu-gb.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the London (`eu-gb`) location.|All metadata for the app's features are stored in the London(`eu-gb`) location.| Data is replicated between three zones within `eu-gb` for high-availability. |\n|Sydney|**Public**: `https://au-syd.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.au-syd.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Sydney (`au-syd`) location.|All metadata for the app's features are stored in the Sydney (`au-syd`) location.| Data is replicated between three zones within au-syd` for high-availability. |\n|Frankfurt|**Public**: `https://eu-de.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.eu-de.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Frankfurt (`eu-de`) location.|All metadata for the app's features are stored in the Frankfurt (`eu-de`) location.| Data is replicated between three zones within eu-de` for high-availability. |\n|Madrid|**Public**: `https://eu-es.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` \\n **Private**: `https://private.eu-es.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Madrid (`eu-es`) location.|All metadata for the app's features are stored in the Madrid (`eu-es`) location.| Data is replicated between three zones within eu-es` for high-availability. |\n|Toronto|**Public**: `https://ca-tor.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.ca-tor.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Toronto (`ca-tor`) location.|All metadata for the app's features are stored in the Toronto (`ca-tor`) location.| Data is replicated between three zones within ca-tor` for high-availability. |\n|Tokyo|**Public**: `https://jp-tok.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.jp-tok.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Tokyo (`jp-tok`) location.|All metadata for the app's features are stored in the Tokyo (`jp-tok`) location.| Data is replicated between three zones within jp-tok` for high-availability. |\n|Osaka|**Public**: `https://jp-osa.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.jp-osa.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Osaka (`jp-osa`) location.|All metadata for the app's features are stored in the Osaka (`jp-osa`) location.| Data is replicated between three zones within jp-osa` for high-availability. |\n|Sao Paulo|**Public**: `https://br-sao.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.br-sao.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Sao Paulo (`br-sao`) location.|All metadata for the app's features are stored in the Sao Paulo (`br-sao`) location.| Data is replicated between three zones within br-sao` for high-availability. |\n|Montreal|**Public**: `https://ca-mon.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.ca-mon.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Montreal (`ca-mon`) location.|All metadata for the app's features are stored in the Montreal (`ca-mon`) location.| Data is replicated between three zones within ca-mon` for high-availability. |\n|BNPP|**Public**: `https://eu-fr2.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.eu-fr2.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the BNPP (`eu-fr2`) location.|All metadata for the app's features are stored in the BNPP (`eu-fr2`) location.| Data is replicated between three zones within eu-fr2` for high-availability. |\n|WashingtonDC|**Public**: `https://us-east.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.us-east.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the WashingtonDC (`us-east`) location.|All metadata for the app's features are stored in the WashingtonDC (`us-east`) location.| Data is replicated between three zones within us-east` for high-availability. |\n|Chennai|**Public**: `https://in-che.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.in-che.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Chennai (`in-che`) location.|All metadata for the app's features are stored in the Chennai (`in-che`) location.| Data is replicated between three zones within in-che` for high-availability. |\n|Mumbai|**Public**: `https://in-mum.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}`  \\n **Private**: `https://private.in-mum.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}` |All Event Notifications actions run in the Mumbai (`in-mum`) location.|All metadata for the app's features are stored in the Mumbai (`in-mum`) location.| Data is replicated between three zones within in-mum` for high-availability. |\n\nExample request to a Dallas endpoint:\n\n```bash\ncurl -H \"Authorization:Bearer {token}\" -X  \"https://us-south.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}\"\n```\n\nReplace `{token}` in this example with the values for your particular API call.\n\n## Authentication\n\nThe Event Notifications API uses IBM Cloud Identity and Access Management (IAM) to authenticate requests.\n\nTo work with the API, authenticate your application or service by including your IBM Cloud [IAM access token](https://cloud.ibm.com/docs/account?topic=account-iamtoken_from_apikey#iamtoken_from_apikey) in API requests.\n\nTo call each method, you need to be assigned a role that includes the required IAM actions. Each method lists the associated action. For more information about IAM actions and how they map to roles, see [Managing access for Event Notifications](https://cloud.ibm.com/docs/event-notifications?topic=event-notifications-service-access-management).\n\nIAM authentication. Replace `{token}` and `{url}/{method}` with your service credentials.\n\n```bash\ncurl -H \"Authorization:Bearer {token}\" -X \"{url}/{method}\"\n```\n\nAuthorization: Bearer {token}\n\nFor example, if the token is `tzLbqWhyALQawBg5TjRIf5sAznhrKQyvBFFaZbtF60m5` in the service credentials, include the credentials in your call like this:\n\n```bash\ncurl -H \"Authorization:Bearer {tzLbqWhyALQawBg5TjRIf5sAznhrKQyvBFFaZbtF60m5}\" -X \"https://us-south.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{guid}\"\n```\n\nExample that initializes the SDK programmatically.\n\n```js\nimport (\n\t\"github.com/IBM/go-sdk-core/v5/core\"\n    \"github.com/IBM/event-notifications-go-admin-sdk/eventnotificationsv1\"\n)\n\n// IAM API key based authentication\n\tauthenticator := &core.IamAuthenticator{\n\t\tApiKey: <apikey>,\n\t\tURL:    <IBM Cloud URL to generate Token>,\n\t}\n\n\t// Set the options for the Event notification instance.\n\toptions := &eventnotificationsv1.EventNotificationsV1Options{\n\t\tAuthenticator: authenticator,\n\t\tURL:           \"https://\" + region + \".event-notifications.cloud.ibm.com/event-notifications\",\n\t}\n\teventNotificationsAPIService, err := eventnotificationsv1.NewEventNotificationsV1(options)\n\tif err != nil {\n\t\tpanic(err)\n\t}\n```\n\n```\nimport { EventNotificationsV1 } from 'ibm-event-notifications-node-admin-sdk/event-notifications/v1';\nimport { IamAuthenticator } from 'ibm-event-notifications-node-admin-sdk/auth';\n\nconst authenticator = new IamAuthenticator({\n  apikey: <apikey>,\n  url: <IBM Cloud URL to generate Token>,\n});\n\nconst eventNotificationsService = EventNotificationsV1.newInstance({\n  authenticator,\n  serviceUrl: <service-url>,\n});\n```\n\n```\nimport com.ibm.cloud.eventnotifications.event_notifications.v1.EventNotifications;\n\n// Create an IAM authenticator.\nAuthenticator authenticator = new IamAuthenticator.Builder()\n\t\t\t\t.apikey(\"<api-key>\")\n                .build();\n\n// Construct the service client.\nEventNotifications eventNotificationsService = new EventNotifications(\"event_notifications\", authenticator);\n\n// Set our custom service URL (optional)\neventNotificationsService.setServiceUrl(\"https://\" + region + \".event-notifications.cloud.ibm.com/event-notifications\");\n\n```\n\n```\nfrom ibm_eventnotifications import EventNotificationsV1\nfrom ibm_cloud_sdk_core.authenticators import IAMAuthenticator\n\n## Create an IAM authenticator.\nauthenticator = IAMAuthenticator('<api-key>')\n\n## Construct the service client.\nevent_notifications_service = EventNotificationsV1(authenticator=authenticator)\n\n## Set our custom service URL (optional)\nevent_notifications_service.set_service_url(<service-url>)\n\n```\n\n## Error handling\n\nThis API uses standard HTTP response codes to indicate whether a method completed successfully. A `2xx` response indicates success. A `4xx` type response is some sort of failure, and a `5xx` type response usually indicates an internal system error.\n\n| HTTP status code | Description | Recovery |\n|-----------------|-------------|----------|\n| `200` | Success | The request was successful. |\n| `201` | Success | The resource was successfully created and added to your IBM Cloud account. |\n| `400` | Bad request | The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request. |\n| `401` | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions.\t|\n| `403` | Forbidden | The supplied authentication is not authorized to access the apps. Check that you have the correct access credentials and permissions. |\n| `404` | Not found | The requested resource could not be found. |\n| `408` | Request timeout | The connection to the server timed out. Wait a few minutes, then try again. |\n| `409` | Conflict | The entity is already in the requested state. |\n| `415` | Unsupported media type| The server refuses the request because the payload format is in an unsupported format. |\n| `429` | Too many requests | Rate limit is 1000 calls per second. Wait before calling the API again.|\n| `500` | Internal server error | IBM Cloud Event Notifications is not available. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact [IBM Cloud support](https://cloud.ibm.com/docs/event-notifications?topic=event-notifications-en-getting-help-and-support). |\n| `503` |  Service temporarily unavailable | IBM Cloud Event Notifications could not process the request, due to a temporary overloading or maintenance. Try to reduce your request rate, or retry after a few minutes. If the error persists, contact [IBM Cloud support](https://cloud.ibm.com/docs/event-notifications?topic=event-notifications-en-getting-help-and-support).|\n\nExample error handling\n\n```\nimport (\n\t    \"github.com/IBM/go-sdk-core/v5/core\"\n    eventnotificationsv1 \"github.com/IBM/event-notifications-go-admin-sdk/eventnotificationsv1\"\n)\n\t// Set the options for the Event notification instance.\n\toptions := &eventnotificationsv1.EventNotificationsV1Options{options}\n\teventNotificationsInstance, err := eventnotificationsv1.NewEventNotificationsV1(options)\n\t// Check for errors\nif err != nil {\n  panic(err)\n}\n```\n\n## Auditing\n\nYou can monitor API activity within your account. Whenever an API method is called, an event is generated that you can then track and audit. The specific event type is listed for each method that generates auditing events. For methods that don't list any events, no events are generated.\n\nFor more information about how to track Event Notifications activity, see [Auditing events for Event Notifications](https://test.cloud.ibm.com/docs/event-notifications?topic=event-notifications-en-at_events)."
  },
  "paths": {
    "/v1/instances/{instance_id}/metrics": {
      "parameters": [
        {
          "$ref": "#/components/parameters/InstanceID"
        },
        {
          "$ref": "#/components/parameters/SMTPConfigId"
        },
        {
          "$ref": "#/components/parameters/DestinationType"
        },
        {
          "$ref": "#/components/parameters/DestID"
        },
        {
          "$ref": "#/components/parameters/SubID"
        },
        {
          "$ref": "#/components/parameters/SrcID"
        },
        {
          "$ref": "#/components/parameters/GTE"
        },
        {
          "$ref": "#/components/parameters/LTE"
        },
        {
          "$ref": "#/components/parameters/EmailTo"
        },
        {
          "$ref": "#/components/parameters/NotificationID"
        },
        {
          "$ref": "#/components/parameters/Subject"
        }
      ],
      "get": {
        "summary": "Get metrics",
        "description": "Get metrics",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "event-notifications.metrics.read"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "event-notifications.metrics.read"
            }
          ]
        },
        "operationId": "get_metrics",
        "responses": {
          "200": {
            "$ref": "#/components/responses/Metrics"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/UnexpectedError"
          }
        },
        "tags": [
          "Metrics"
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl --request GET \\\n",
                      "--url 'https://{REGION}.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{instance_id}/metrics?destination_type=smtp_custom&destination_id=ec28efee-2236-4c2d-8839-d34f697cfc69&subscription_id=0bc82d4e-6e81-415d-9fe3-b530a73fabe9&email_to=mobilea@us.ibm.com&subject=test&gte=2026-06-12T11%3A04%3A23Z&lte=2026-06-20T11%3A05%3A00Z' \\\n",
                      "--header 'Authorization: Bearer {TOKEN}' \n"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl --request GET \\\n",
                      "--url 'https://{REGION}.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{instance_id}/metrics?smtp_config_id=e20c3963-c830-497c-9901-987429d7f702&subscription_id=0bc82d4e-6e81-415d-9fe3-b530a73fabe9&email_to=mobilea@us.ibm.com&subject=test&gte=2026-06-12T11%3A04%3A23Z&lte=2026-06-20T11%3A05%3A00Z' \\\n",
                      "--header 'Authorization: Bearer {TOKEN}' \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getMetricsOptions := &eventnotificationsv1.GetMetricsOptions{\n",
                      "    InstanceID:      core.StringPtr(instanceID),\n",
                      "    DestinationType: core.StringPtr(\"smtp_custom\"),\n",
                      "    Gte:             core.StringPtr(\"2026-06-01T17:18:43Z\"),\n",
                      "    Lte:             core.StringPtr(\"2026-06-02T11:55:22Z\"),\n",
                      "    EmailTo:         core.StringPtr(\"mobileb@us.ibm.com\"),\n",
                      "    DestinationID:   core.StringPtr(destinationID16),\n",
                      "    SubscriptionID:  core.StringPtr(subscriptionID6),\n",
                      "    SourceID:        core.StringPtr(sourceID),\n",
                      "    NotificationID:  core.StringPtr(notificationID),\n",
                      "    Subject:         core.StringPtr(\"Test Metrics Subject\"),\n",
                      "}\n\n",
                      "metrics, response, err := eventNotificationsService.GetMetrics(getMetricsOptions)"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getMetricsOptions := &eventnotificationsv1.GetMetricsOptions{\n",
                      "    InstanceID:      core.StringPtr(instanceID),\n",
                      "    SMTPConfigId:    core.StringPtr(smtpConfigID),\n",
                      "    Gte:             core.StringPtr(\"2026-06-01T17:18:43Z\"),\n",
                      "    Lte:             core.StringPtr(\"2026-06-02T11:55:22Z\"),\n",
                      "    EmailTo:         core.StringPtr(\"mobileb@us.ibm.com\"),\n",
                      "    SubscriptionID:  core.StringPtr(subscriptionID6),\n",
                      "    SourceID:        core.StringPtr(sourceID),\n",
                      "    NotificationID:  core.StringPtr(notificationID),\n",
                      "    Subject:         core.StringPtr(\"Test Metrics Subject\"),\n",
                      "}\n\n",
                      "metrics, response, err := eventNotificationsService.GetMetrics(getMetricsOptions)"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const destination_type = 'smtp_custom';\n",
                      "const gte = '2026-06-01T17:18:43Z';\n",
                      "const lte = '2026-06-02T11:55:22Z';\n",
                      "const email_to = 'testuser@in.ibm.com';\n",
                      "const subject = 'Test Metrics Subject';\n",
                      "const getMetricsParams = {\n",
                      "  instanceId,\n",
                      "  destinationType: destination_type,\n",
                      "  gte,\n",
                      "  lte,\n",
                      "  sourceId,\n",
                      "  destinationId: destinationId16,\n",
                      "  subscriptionId: subscriptionId6,\n",
                      "  emailTo: email_to,\n",
                      "  notificationId: notificationID,\n",
                      "  subject,\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  const res = await eventNotificationsService.getMetrics(getMetricsParams);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const destination_type = 'smtp_custom';\n",
                      "const gte = '2026-06-01T17:18:43Z';\n",
                      "const lte = '2026-06-02T11:55:22Z';\n",
                      "const email_to = 'testuser@in.ibm.com';\n",
                      "const subject = 'Test Metrics Subject';\n",
                      "const getMetricsParams = {\n",
                      "  instanceId,\n",
                      "  smtpConfigID = smtpConfigID;\n",
                      "  gte,\n",
                      "  lte,\n",
                      "  sourceId,\n",
                      "  subscriptionId: subscriptionId6,\n",
                      "  emailTo: email_to,\n",
                      "  notificationId: notificationID,\n",
                      "  subject,\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  const res = await eventNotificationsService.getMetrics(getMetricsParams);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetMetricsOptions getMetricsOptionsModel = new GetMetricsOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .destinationType(\"smtp_custom\")\n",
                      "        .gte(\"2026-06-01T17:18:43Z\")\n",
                      "        .lte(\"2026-06-02T11:55:22Z\")\n",
                      "        .destinationId(destinationId16)\n",
                      "        .subscriptionId(subscriptionId6)\n",
                      "        .sourceId(sourceId)\n",
                      "        .emailTo(\"mobileb@us.ibm.com\")\n",
                      "        .notificationId(notificationID)\n",
                      "        .subject(\"Metric Test\")\n",
                      "        .build();\n",
                      "\n",
                      "Response<Metrics> response = eventNotificationsService.getMetrics(getMetricsOptionsModel).execute();\n\n",
                      "Metrics responseObj = response.getResult();"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetMetricsOptions getMetricsOptionsModel = new GetMetricsOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .SMTPConfigId(\"smtpConfigID\")\n",
                      "        .gte(\"2026-06-01T17:18:43Z\")\n",
                      "        .lte(\"2026-06-02T11:55:22Z\")\n",
                      "        .subscriptionId(subscriptionId6)\n",
                      "        .sourceId(sourceId)\n",
                      "        .emailTo(\"mobileb@us.ibm.com\")\n",
                      "        .notificationId(notificationID)\n",
                      "        .subject(\"Metric Test\")\n",
                      "        .build();\n",
                      "\n",
                      "Response<Metrics> response = eventNotificationsService.getMetrics(getMetricsOptionsModel).execute();\n\n",
                      "Metrics responseObj = response.getResult();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "destination_type = \"smtp_custom\"\n",
                      "gte = \"2026-06-01T17:18:43Z\"\n",
                      "lte = \"2026-06-02T11:55:22Z\"\n",
                      "email_to = \"testuser@in.ibm.com\"\n",
                      "subject = \"The Metric Test\"\n",
                      "\n",
                      "get_metrics_response = self.event_notifications_service.get_metrics(\n",
                      "    instance_id,\n",
                      "    gte,\n",
                      "    lte,\n",
                      "    destination_type=destination_type,\n",
                      "    destination_id=destination_id16,\n",
                      "    subscription_id=subscription_id6,\n",
                      "    source_id=source_id,\n",
                      "    email_to=email_to,\n",
                      "    notification_id=notificationID,\n",
                      "    subject=subject,\n",
                      ")\n",
                      "\n",
                      "metric_response = get_metrics_response.get_result()\n",
                      "print(json.dumps(metric_response, indent=2))"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "smtp_config_id = \"smtp_config_id\"\n",
                      "gte = \"2026-06-01T17:18:43Z\"\n",
                      "lte = \"2026-06-02T11:55:22Z\"\n",
                      "email_to = \"testuser@in.ibm.com\"\n",
                      "subject = \"The Metric Test\"\n",
                      "\n",
                      "get_metrics_response = self.event_notifications_service.get_metrics(\n",
                      "    instance_id,\n",
                      "    gte,\n",
                      "    lte,\n",
                      "    smtp_config_id=smtp_config_id,\n",
                      "    subscription_id=subscription_id6,\n",
                      "    source_id=source_id,\n",
                      "    email_to=email_to,\n",
                      "    notification_id=notificationID,\n",
                      "    subject=subject,\n",
                      ")\n",
                      "\n",
                      "metric_response = get_metrics_response.get_result()\n",
                      "print(json.dumps(metric_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/v1/instances/{instance_id}/metrics/bounce": {
      "parameters": [
        {
          "$ref": "#/components/parameters/InstanceID"
        },
        {
          "$ref": "#/components/parameters/SMTPConfigId"
        },
        {
          "$ref": "#/components/parameters/DestinationType"
        },
        {
          "$ref": "#/components/parameters/DestID"
        },
        {
          "$ref": "#/components/parameters/SubID"
        },
        {
          "$ref": "#/components/parameters/SrcID"
        },
        {
          "$ref": "#/components/parameters/GTE"
        },
        {
          "$ref": "#/components/parameters/LTE"
        },
        {
          "$ref": "#/components/parameters/EmailTo"
        },
        {
          "$ref": "#/components/parameters/NotificationID"
        },
        {
          "$ref": "#/components/parameters/Subject"
        },
        {
          "$ref": "#/components/parameters/PageLimit"
        },
        {
          "$ref": "#/components/parameters/Offset"
        }
      ],
      "get": {
        "summary": "Get bounce metrics",
        "description": "Get bounce metrics",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "event-notifications.metrics.read"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "event-notifications.metrics.read"
            }
          ]
        },
        "operationId": "get_bounce_metrics",
        "responses": {
          "200": {
            "$ref": "#/components/responses/BounceMetrics"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/UnexpectedError"
          }
        },
        "tags": [
          "Metrics"
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl --request GET \\\n",
                      "--url 'https://{REGION}.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{instance_id}/metrics/bounce?destination_type=smtp_custom&destination_id=ec28efee-2236-4c2d-8839-d34f697cfc69&subscription_id=0bc82d4e-6e81-415d-9fe3-b530a73fabe9&email_to=mobilea@us.ibm.com&subject=test&gte=2026-06-12T11%3A04%3A23Z&lte=2026-06-12T11%3A05%3A00Z' \\\n",
                      "--header 'Authorization: Bearer {TOKEN}' \n"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl --request GET \\\n",
                      "--url 'https://{REGION}.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{instance_id}/metrics/bounce?smtp_config_id=e20c3963-c830-497c-9901-987429d7f702&subscription_id=0bc82d4e-6e81-415d-9fe3-b530a73fabe9&email_to=mobilea@us.ibm.com&subject=test&gte=2026-06-12T11%3A04%3A23Z&lte=2026-06-12T11%3A05%3A00Z' \\\n",
                      "--header 'Authorization: Bearer {TOKEN}' \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getBounceMetricsOptions := &eventnotificationsv1.GetBounceMetricsOptions{\n",
                      "    InstanceID:      core.StringPtr(instanceID),\n",
                      "    DestinationType: core.StringPtr(\"smtp_custom\"),\n",
                      "    Gte:             core.StringPtr(\"2026-06-12T17:18:43Z\"),\n",
                      "    Lte:             core.StringPtr(\"2026-06-12T11:55:22Z\"),\n",
                      "    EmailTo:         core.StringPtr(\"mobileb@us.ibm.com\"),\n",
                      "    DestinationID:   core.StringPtr(destinationID16),\n",
                      "    SubscriptionID:  core.StringPtr(subscriptionID6),\n",
                      "    SourceID:        core.StringPtr(sourceID),\n",
                      "    NotificationID:  core.StringPtr(notificationID),\n",
                      "    Subject:         core.StringPtr(\"Test Bounce Metrics Subject\"),\n",
                      "}\n\n",
                      "bouncemetrics, response, err := eventNotificationsService.GetBounceMetrics(getBounceMetricsOptions)"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getBounceMetricsOptions := &eventnotificationsv1.GetBounceMetricsOptions{\n",
                      "    InstanceID:      core.StringPtr(instanceID),\n",
                      "    SMTPConfigId:    core.StringPtr(smtpConfigID),\n",
                      "    Gte:             core.StringPtr(\"2026-06-12T17:18:43Z\"),\n",
                      "    Lte:             core.StringPtr(\"2026-06-12T11:55:22Z\"),\n",
                      "    EmailTo:         core.StringPtr(\"mobileb@us.ibm.com\"),\n",
                      "    SubscriptionID:  core.StringPtr(subscriptionID6),\n",
                      "    SourceID:        core.StringPtr(sourceID),\n",
                      "    NotificationID:  core.StringPtr(notificationID),\n",
                      "    Subject:         core.StringPtr(\"Test Bounce Metrics Subject\"),\n",
                      "}\n\n",
                      "bouncemetrics, response, err := eventNotificationsService.GetBounceMetrics(getBounceMetricsOptions)"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const destination_type = 'smtp_custom';\n",
                      "const gte = '2026-06-12T17:18:43Z';\n",
                      "const lte = '2026-06-12T11:55:22Z';\n",
                      "const email_to = 'testuser@in.ibm.com';\n",
                      "const subject = 'Test Bounce Metrics Subject';\n",
                      "const getBounceMetricsParams = {\n",
                      "  instanceId,\n",
                      "  destinationType: destination_type,\n",
                      "  gte,\n",
                      "  lte,\n",
                      "  sourceId,\n",
                      "  destinationId: destinationId16,\n",
                      "  subscriptionId: subscriptionId6,\n",
                      "  emailTo: email_to,\n",
                      "  notificationId: notificationID,\n",
                      "  subject,\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  const res = await eventNotificationsService.getBounceMetrics(getBounceMetricsParams);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const destination_type = 'smtp_custom';\n",
                      "const gte = '2026-06-12T17:18:43Z';\n",
                      "const lte = '2026-06-12T11:55:22Z';\n",
                      "const email_to = 'testuser@in.ibm.com';\n",
                      "const subject = 'Test Bounce Metrics Subject';\n",
                      "const getBounceMetricsParams = {\n",
                      "  instanceId,\n",
                      "  smtpConfigID = smtpConfigID;\n",
                      "  gte,\n",
                      "  lte,\n",
                      "  sourceId,\n",
                      "  subscriptionId: subscriptionId6,\n",
                      "  emailTo: email_to,\n",
                      "  notificationId: notificationID,\n",
                      "  subject,\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  const res = await eventNotificationsService.getBounceMetrics(getBounceMetricsParams);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetBounceMetricsOptions getBounceMetricsOptionsModel = new GetBounceMetricsOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .destinationType(\"smtp_custom\")\n",
                      "        .gte(\"2026-06-12T17:18:43Z\")\n",
                      "        .lte(\"2026-06-13T11:55:22Z\")\n",
                      "        .destinationId(destinationId16)\n",
                      "        .subscriptionId(subscriptionId6)\n",
                      "        .sourceId(sourceId)\n",
                      "        .emailTo(\"mobileb@us.ibm.com\")\n",
                      "        .notificationId(notificationID)\n",
                      "        .subject(\"Metric Test\")\n",
                      "        .build();\n",
                      "\n",
                      "Response<BounceMetrics> response = eventNotificationsService.getBounceMetrics(getBounceMetricsOptionsModel).execute();\n\n",
                      "BounceMetrics responseObj = response.getResult();"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetBounceMetricsOptions getBounceMetricsOptionsModel = new GetBounceMetricsOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .SMTPConfigId(\"smtpConfigID\")\n",
                      "        .gte(\"2026-06-12T17:18:43Z\")\n",
                      "        .lte(\"2026-06-13T11:55:22Z\")\n",
                      "        .subscriptionId(subscriptionId6)\n",
                      "        .sourceId(sourceId)\n",
                      "        .emailTo(\"mobileb@us.ibm.com\")\n",
                      "        .notificationId(notificationID)\n",
                      "        .subject(\"Metric Test\")\n",
                      "        .build();\n",
                      "\n",
                      "Response<BounceMetrics> response = eventNotificationsService.getBounceMetrics(getBounceMetricsOptionsModel).execute();\n\n",
                      "BounceMetrics responseObj = response.getResult();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request with destination type",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "destination_type = \"smtp_custom\"\n",
                      "gte = \"2026-06-12T17:18:43Z\"\n",
                      "lte = \"2026-06-13T11:55:22Z\"\n",
                      "email_to = \"testuser@in.ibm.com\"\n",
                      "subject = \"The Bounce Metric Test\"\n",
                      "\n",
                      "get_bounce_metrics_response = self.event_notifications_service.getget_bounce_metrics_metrics(\n",
                      "    instance_id,\n",
                      "    gte,\n",
                      "    lte,\n",
                      "    destination_type=destination_type,\n",
                      "    destination_id=destination_id16,\n",
                      "    subscription_id=subscription_id6,\n",
                      "    source_id=source_id,\n",
                      "    email_to=email_to,\n",
                      "    notification_id=notificationID,\n",
                      "    subject=subject,\n",
                      ")\n",
                      "\n",
                      "metrbounce_metric_responseic_response = get_bounce_metrics_response.get_result()\n",
                      "print(json.dumps(metric_resbounce_metric_responseponse, indent=2))"
                    ]
                  }
                ]
              },
              {
                "name": "Example request with smtp config id",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "smtp_config_id = \"smtp_config_id\"\n",
                      "gte = \"2026-06-12T17:18:43Z\"\n",
                      "lte = \"2026-06-13T11:55:22Z\"\n",
                      "email_to = \"testuser@in.ibm.com\"\n",
                      "subject = \"The Bounce Metric Test\"\n",
                      "\n",
                      "get_bounce_metrics_response = self.event_notifications_service.getget_bounce_metrics_metrics(\n",
                      "    instance_id,\n",
                      "    gte,\n",
                      "    lte,\n",
                      "    smtp_config_id=smtp_config_id,\n",
                      "    subscription_id=subscription_id6,\n",
                      "    source_id=source_id,\n",
                      "    email_to=email_to,\n",
                      "    notification_id=notificationID,\n",
                      "    subject=subject,\n",
                      ")\n",
                      "\n",
                      "metrbounce_metric_responseic_response = get_bounce_metrics_response.get_result()\n",
                      "print(json.dumps(metric_resbounce_metric_responseponse, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/v1/instances/{instance_id}/notifications/{id}": {
      "parameters": [
        {
          "$ref": "#/components/parameters/InstanceID"
        },
        {
          "$ref": "#/components/parameters/NID"
        }
      ],
      "get": {
        "summary": "Get status of webhook test notification",
        "description": "Status of webhook test notification",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "event-notifications.notifications.get"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "event-notifications.notifications.get"
            }
          ]
        },
        "operationId": "get_notifications_status",
        "responses": {
          "200": {
            "$ref": "#/components/responses/GetNotificationStatusResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "404": {
            "$ref": "#/components/responses/NotFoundError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/UnexpectedError"
          }
        },
        "tags": [
          "Get Notifications Status"
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Notification status call for webhook destination test",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl --request GET \\\n",
                      "--url 'https://{REGION}.event-notifications.cloud.ibm.com/event-notifications/v1/instances/{instance_id}/notifications/{id}' \\\n",
                      "--header 'Authorization: Bearer {TOKEN}' \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Notification status call for webhook destination test",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getNoticationOptions := &eventnotificationsv1.GetNotificationsStatusOptions{\n",
                      "    InstanceID:      core.StringPtr(instanceID),\n",
                      "    ID:  core.StringPtr(testNotificationID),\n",
                      "}\n\n",
                      "getNotificationsStatus, response, err := eventNotificationsService.GetNotificationsStatus(getNoticationOptions)"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Notification status call for webhook destination test",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const getNotificationsStatusParams = {\n",
                      "  instanceId,\n",
                      "  id: webhookNotificationId,\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  const getNotificationsStatusResult = await eventNotificationsService.getNotificationsStatus(getNotificationsStatusParams);\n",
                      "  console.log(JSON.stringify(rgetNotificationsStatusResult.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Notification status call for webhook destination test",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetNotificationsStatusOptions testWebhookDestinationOptionsModel = new GetNotificationsStatusOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .notificationId(notificationID)\n",
                      "        .build();\n",
                      "\n",
                      "Response<GetNotificationStatusResponse> statusResponse = eventNotificationsService.getNotificationsStatus(testWebhookDestinationOptionsModel).execute();\n\n",
                      "GetNotificationStatusResponse getNotificationsStatusResponse = statusResponse.getResult()"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Notification status call for webhook destination test",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "webhook_notification_status = self.event_notifications_service.get_notifications_status(\n",
                      "    instance_id,\n",
                      "    notification_id=test_webhook_notification_id,\n",
                      ")\n",
                      "\n",
                      "notification_status_response = webhook_notification_status.get_result()\n",
                      "print(json.dumps(notification_status_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/v1/instances/{instance_id}/notifications": {
      "parameters": [
        {
          "$ref": "#/components/parameters/InstanceID"
        }
      ],
      "post": {
        "summary": "Send a notification",
        "x-codegen-request-body-name": "body",
        "description": "Send Notifications body from the instance. For more information about Event Notifications payload, see [here](https://cloud.ibm.com/docs/event-notifications?topic=event-notifications-en-spec-payload).",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "event-notifications.notification.create"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "event-notifications.notification.create"
            }
          ]
        },
        "operationId": "send_notifications",
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/NotificationCreate"
              }
            }
          }
        },
        "responses": {
          "202": {
            "$ref": "#/components/responses/NotificationResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestError"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "415": {
            "$ref": "#/components/responses/UnsupportedError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/UnexpectedError"
          }
        },
        "tags": [
          "Send Notifications"
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      " --header \"Content-Type: application/json\" \\\n",
                      " \"{base_url}/v1/instances/{instance_id}/notifications\"",
                      " --data-raw '{\n \"id\": \"b2198eb8-04b1-48ec-a78c-ee87694dd845\",\n \"time\": \"13/03/2024, 22:23:01\",\n \"type\": \"com.ibm.cloud.sysdig-monitor.alert:downtime\",\n \"ibmensmstext\": \"Hi, Welcome from the IBM Cloud - Event Notifications service!\",\n\t\"ibmensubject\": \"Monitoring alert.\",\n \"source\": \"apisource/git\",\n \"specversion\": \"1.0\",\n \"ibmensourceid\": \"0ca10e8b-b772-4528-85c5-cab39776762b:api\",\n\t\"data\": {\"alert\":\"Alert from Event Notifications service\",\"message\":\"Hi, Welcome from the IBM Cloud Event Notifications service. Reference-id: 09691643-a1f4-47b3-96a1-306f7abc3f3e\"},\n \"datacontenttype\": \"application/json\",\n \"ibmendefaultlong\": \"This is a original long message\",\n \"ibmendefaultshort\": \"IBM Cloud Event Notifications is a routing service that provides information about critical events in your IBM Cloud account\",\n \"ibmenfcmbody\": \"{\\\"notification\\\":{\\\"title\\\":\\\"IBM Cloud Event Notifications is a routing service that provides information about critical events in your IBM Cloud account\\\",\\\"time_to_live\\\":100}}\",\n\t\"ibmenapnsbody\": \"{\\\"aps\\\":{\\\"alert\\\":{\\\"title\\\":\\\"Hello!! Alert from Event Notifications service\\\",\\\"body\\\":\\\"IBM Cloud Event Notifications is a routing service that provides information about critical events in your IBM Cloud account\\\",\\\"action-loc-key\\\":\\\"PLAY\\\"},\\\"badge\\\":5}}\",\n\t\"ibmensafaribody\":\"{\\\"aps\\\":{\\\"alert\\\":{\\\"title\\\":\\\"Alert! from Event Notifications Service\\\",\\\"body\\\":\\\"BoardinghasbegunforFlightA998.\\\",\\\"action\\\":\\\"View\\\"},\\\"url-args\\\":[\\\"boarding\\\",\\\"A998\\\"]}}\",\n\t\"ibmenhuaweibody\":\"{\\\"message\\\":{\\\"android\\\":{\\\"notification\\\":{\\\"title\\\":\\\"New Message\\\",\\\"body\\\":\\\"Hello World\\\",\\\"click_action\\\":{\\\"type\\\":3}}}}}\",\n\t\"ibmenfirefoxbody\": \"{\\\"title\\\":\\\"Alert from Event Notifications service\\\"}\",\n\t\"ibmenchromebody\": \"{\\\"title\\\":\\\"Alert from Event Notifications service\\\"}\",\n \"ibmenpushto\": \"{\\\"platforms\\\":[\\\"push_chrome\\\",\\\"push_firefox\\\",\\\"push_android\\\",\\\"push_ios\\\",\\\"push_safari\\\",\\\"push_huawei\\\"]}\",\n\t\"ibmenmailto\": \"[\\\"abc@ibm.com\\\", \\\"xyz@ibm.com\\\"]\",\n\t\"ibmensmsto\": \"[\\\"+911234567890\\\", \\\"+911224567890\\\"]\",\n\t\"ibmenslackto\": \"[\\\"Z07FALXBHXX\\\", \\\"XX7FALXBHXX\\\"]\",\n\t\"ibmentemplates\": \"[\\\"10e5b8fc-45e6-4fcc-bf9e-1961ca418381\\\"]\",\n\t\"ibmenhtmlbody\": \"Hi ,<br/>Certificate expiring in 90 days.<br/><br/>Please login to <a href=\\\"https://cloud.ibm.com/security-compliance/dashboard\\\">Security and Complaince dashboard</a> to find more information<br/>\",\n\t\"ibmenmarkdown\": \"**Event Summary** \\n\\n**Toolchain ID:** 4414af34-a5c7-47d3-8f05-add4af6d78a6 \\n**Content Type:** application/json\\n\\n---\\n\\n *Pipeline Run Details*\\n\\n- **Namespace:** PR\\n- **Trigger Name:** manual\\n- **Triggered By:** nitish.kulkarni3@ibm.com\\n- **Build Number:** 343\\n- **Pipeline Link:** [View Pipeline Run](https://cloud.ibm.com/devops/pipelines/tekton/e9cd5aa3-a3f2-4776-8acc-26a35922386e/runs/f29ac6f5-bd2f-4a26-abb8-4249be8dbab7?env_id=ibm:yp:us-south)\",\n\n\t\"attachments\": [\n\t\t{\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==\",\n      \"filename\": \"image.png\",\n      \"content_type\": \"image/png\",\n      \"disposition\": \"attachment\"\n    },\n\t\t{\n      \"content\": \"PCFET0NUWVBFIGh0bWw+CjxodG1sIGxhbmc9ImVuIj4KCiAgICA8aGVhZD4KICAgICAgICA8bWV0YSBjaGFyc2V0PSJVVEYtOCI+CiAgICAgICAgPG1ldGEgaHR0cC1lcXVpdj0iWC1VQS1Db21wYXRpYmxlIiBjb250ZW50PSJJRT1lZGdlIj4KICAgICAgICA8bWV0YSBuYW1lPSJ2aWV3cG9ydCIgY29udGVudD0id2lkdGg9ZGV2aWNlLXdpZHRoLCBpbml0aWFsLXNjYWxlPTEuMCI+CiAgICAgICAgPHRpdGxlPkRvY3VtZW50PC90aXRsZT4KICAgIDwvaGVhZD4KCiAgICA8Ym9keT4KCiAgICA8L2JvZHk+Cgo8L2h0bWw+Cg==\",\n      \"filename\": \"index.html\",\n      \"content_type\": \"text/html\",\n      \"disposition\": \"attachment\"\n     }\n\t]\n}'"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "notificationCreateModel := &eventnotificationsv1.NotificationCreate{}\n",
                      "\n",
                      "notificationCreateModel.Ibmenseverity = &notificationSeverity\n",
                      "notificationCreateModel.ID = &notificationID\n",
                      "notificationCreateModel.Source = &notificationsSouce\n",
                      "notificationCreateModel.Ibmensourceid = &sourceID\n",
                      "notificationCreateModel.Type = &typeValue\n",
                      "notificationCreateModel.Time = &strfmt.DateTime{}\n",
                      "notificationCreateModel.Specversion = &specVersion\n",
                      "\n",
                      "notificationDevicesModel := \"{\\\"platforms\\\":[\\\"push_ios\\\",\\\"push_android\\\",\\\"push_chrome\\\",\\\"push_firefox\\\",\\\"push_huawei\\\"]}\"\n",
                      "notificationSafariBodyModel := \"{\\\"en_data\\\": {\\\"alert\\\": \\\"Alert message\\\"}}\"\n",
                      "mailTo := \"[\\\"abc@ibm.com\\\", \\\"def@us.ibm.com\\\"]\"\n",
                      "smsTo := \"[\\\"+911234567890\\\", \\\"+911224567890\\\"]\"\n",
                      "slackTo := \"[\\\"C07FALXBH4G\\\", \\\"C07FALXBJ4G\\\"]\"\n",
                      "mms := \"{\\\"content\\\": \\\"encode mms content\\\", \\\"content_type\\\": \\\"image/png\\\"}\"\n",
                      "htmlBody := \"\\\"Hi  ,<br/>Certificate expiring in 90 days.<br/><br/>Please login to <a href=\\\"https: //cloud.ibm.com/security-compliance/dashboard\\\">Security and Complaince dashboard</a> to find more information<br/>\\\"\"\n",
                      "markdown := \"**Event Summary** \\n\\n**Toolchain ID:** `4414af34-a5c7-47d3-8f05-add4af6d78a6`  \\n**Content Type:** `application/json`\\n\\n---\\n\\n *Pipeline Run Details*\\n\\n- **Namespace:** `PR`\\n- **Trigger Name:** `manual`\\n- **Triggered By:** `nitish.kulkarni3@ibm.com`\\n- **Build Number:** `343`\\n- **Pipeline Link:** [View Pipeline Run](https://cloud.ibm.com/devops/pipelines/tekton/e9cd5aa3-a3f2-4776-8acc-26a35922386e/runs/f29ac6f5-bd2f-4a26-abb8-4249be8dbab7?env_id=ibm:yp:us-south)\"",
                      "\n",
                      "notificationCreateModel.Ibmenpushto = &notificationDevicesModel\n",
                      "\n",
                      "apnsOptions := map[string]interface{}{\n",
                      "  \"aps\": map[string]interface{}{\n",
                      "    \"alert\": \"APNS alert\",\n",
                      "    \"badge\": 5,\n",
                      "  },\n",
                      "}\n",
                      "\n",
                      "ibmenapnsbody, _ := json.Marshal(apnsOptions)\n",
                      "ibmenapnsbodyString := string(ibmenapnsbody)\n",
                      "\n",
                      "fcmOptions := map[string]interface{}{\n",
                      "  \"notification\": map[string]interface{}{\n",
                      "    \"title\": \"FCM alert\",\n",
                      "    \"body\":  \"alert message for FCM\",\n",
                      "  },\n",
                      "}\n",
                      "ibmenfcmbody, _ := json.Marshal(fcmOptions)\n",
                      "ibmenfcmbodyString := string(ibmenfcmbody)\n",
                      "\n",
                      "apnsHeaders := map[string]interface{}{\n",
                      "  \"apns-collapse-id\": \"collapse-id\",\n",
                      "}\n",
                      "ibmenapnsheaderbody, _ := json.Marshal(apnsHeaders)\n",
                      "ibmenapnsheaderstring := string(ibmenapnsheaderbody)\n",
                      "notificationHuaweiBodyModel := \"{\\\"message\\\": {\\\"android\\\": {\\\"notification\\\": {\\\"title\\\": \\\"Breaking News\\\",\\\"body\\\": \\\"New news story available.\\\"},\\\"data\\\": {\\\"name\\\": \\\"Willie Greenholt\\\",\\\"description\\\": \\\"description\\\"}}}}\"\n",
                      "\n",
                      "emailAttachmentModel := new(eventnotificationsv1.EmailAttachment)\n",
                      "emailAttachmentModel.Content = core.StringPtr(\"eyJ0eXBlIjoidGVzdCIsIm1lc3NhZ2UiOiJTYW1wbGUgSlNPTiBhdHRhY2htZW50IiwidGltZXN0YW1wIjoiMjAyNi0wMy0yNFQxNTo0ODoyOS40NTJaIn0=\")",
                      "emailAttachmentModel.Filename = core.StringPtr(\"data.json\")",
                      "emailAttachmentModel.ContentType = core.StringPtr(\"application/json\")",
                      "emailAttachmentModel.Disposition = core.StringPtr(\"attachment\")",
                      "notificationCreateModel.Ibmenfcmbody = &ibmenfcmbodyString\n",
                      "notificationCreateModel.Ibmenapnsbody = &ibmenapnsbodyString\n",
                      "notificationCreateModel.Ibmenapnsheaders = &ibmenapnsheaderstring\n",
                      "notificationCreateModel.Ibmensafaribody = &notificationSafariBodyModel\n",
                      "notificationCreateModel.Ibmenhuaweibody = &notificationHuaweiBodyModel\n",
                      "notificationCreateModel.Ibmenmailto = &mailTo\n",
                      "notificationCreateModel.Ibmensmsto = &smsTo\n",
                      "notificationCreateModel.Ibmensmstext = core.StringPtr(\"SMS text\")\n",
                      "notificationCreateModel.Ibmenslackto = &slackTo\n",
                      "notificationCreateModel.Ibmenmms = &mms\n",
                      "notificationCreateModel.Ibmensubject = core.StringPtr(\"Notification subject\")\n",
                      "notificationCreateModel.Ibmenhtmlbody = core.StringPtr(htmlBody)\n",
                      "notificationCreateModel.Ibmenmarkdown = core.StringPtr(markdown)\n",
                      "notificationCreateModel.Ibmendefaultshort = core.StringPtr(\"This is simple test alert from IBM Cloud Event Notifications service.\")\n",
                      "notificationCreateModel.Ibmendefaultlong = core.StringPtr(\"Hi, we are making sure from our side that the service is available for consumption.\")\n",
                      "notificationCreateModel.Attachments = []eventnotificationsv1.EmailAttachment{*emailAttachmentModel}",
                      "\n",
                      "sendNotificationsOptionsModel := new(eventnotificationsv1.SendNotificationsOptions)\n",
                      "sendNotificationsOptionsModel.InstanceID = &instanceID\n",
                      "sendNotificationsOptionsModel.Body = notificationCreateModel\n",
                      "\n",
                      "notificationResponse, response, err := eventNotificationsService.SendNotifications(sendNotificationsOptionsModel)\n",
                      "\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(notificationResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "// NotificationFCMDevices\n",
                      "const notificationFcmDevicesModel = {\n",
                      "  user_ids: [userId],\n",
                      "};\n",
                      "\n",
                      "const notificationApnsBodyModel = {\n",
                      "  aps: {\n",
                      "    alert: 'Game Request',\n",
                      "    badge: 5,\n",
                      "  },\n",
                      "};\n",
                      "\n",
                      "const notificationFcmBodyModel = {\n",
                      "  notification: {\n",
                      "    title: 'Portugal vs. Denmark',\n",
                      "    badge: 'great match!',\n",
                      "  },\n",
                      "};\n",
                      "\n",
                      "const apnsHeaders = {\n",
                      "  'apns-collapse-id': '123',\n",
                      "};\n",
                      "\n",
                      "const notificationSafariBodymodel = {\n",
                      "  saf: {\n",
                      "    alert: 'Game Request',\n",
                      "    badge: 5,\n",
                      "  },\n",
                      "};\n",
                      "\n",
                      "const notificationHuaweiBodyMessageDataModel = {\n",
                      "  'android': {\n",
                      "    'notification': {\n",
                      "      'title': 'Alert message',\n",
                      "      'body': 'Bob wants to play cricket',\n",
                      "    },\n",
                      "    'data': {\n",
                      "      'name': 'Robert',\n",
                      "      'description': 'notification for the cricket',\n",
                      "    },\n",
                      "  },\n",
                      "};\n",
                      "\n",
                      "const notificationHuaweiBodyModel = {\n",
                      "  message: notificationHuaweiBodyMessageDataModel,\n",
                      "};\n",
                      "\n",
                      "const markdownContent = \"**Event Summary** \\n\\n**Toolchain ID:** `4414af34-a5c7-47d3-8f05-add4af6d78a6`  \\n**Content Type:** `application/json`\\n\\n---\\n\\n *Pipeline Run Details*\\n\\n- **Namespace:** `PR`\\n- **Trigger Name:** `manual`\\n- **Triggered By:** `nitish.kulkarni3@ibm.com`\\n- **Build Number:** `343`\\n- **Pipeline Link:** [View Pipeline Run](https://cloud.ibm.com/devops/pipelines/tekton/e9cd5aa3-a3f2-4776-8acc-26a35922386e/runs/f29ac6f5-bd2f-4a26-abb8-4249be8dbab7?env_id=ibm:yp:us-south)\";\n",
                      "\n",
                      "const emailAttachmentModel = {\n",
                      "  content: 'VGhpcyBpcyBhIHRlc3QgYXR0YWNobWVudA==',\n",
                      "  filename: 'test.txt',\n",
                      "  content_type: 'text/plain',\n",
                      "  disposition: 'attachment',\n",
                      "};\n",
                      "\n",
                      "const notificationCreateModel = {\n",
                      "  instanceId,\n",
                      "  ibmenseverity: notificationSeverity,\n",
                      "  id: notificationID,\n",
                      "  source: notificationsSouce,\n",
                      "  ibmensourceid: sourceId,\n",
                      "  type: typeValue,\n",
                      "  time: date,\n",
                      "  ibmenpushto: JSON.stringify(notificationFcmDevicesModel),\n",
                      "  ibmenmailto: JSON.stringify(['abc@ibm.com', 'def@us.ibm.com']),\n",
                      "  ibmenmms: JSON.stringify('{'content': 'encoded mms content', 'content_type': 'image/png'}'),\n",
                      "  ibmensmsto: JSON.stringify(['+911234567890', '+911224567890']),\n",
                      "  ibmensmstext: 'SMS text',\n",
                      "  ibmenslackto: JSON.stringify(['C07FALXBH4G', 'C07FALXBU4G']),\n",
                      "  ibmensubject: 'certificate expire',\n",
                      "  ibmenhtmlbody: htmlBody,\n",
                      "  ibmenmarkdown: markdownContent,\n",
                      "  ibmenfcmbody: JSON.stringify(notificationFcmBodyModel),\n",
                      "  ibmenapnsbody: JSON.stringify(notificationApnsBodyModel),\n",
                      "  ibmensafaribody: JSON.stringify(notificationSafariBodymodel),\n",
                      "  ibmenhuaweibody: JSON.stringify(notificationHuaweiBodyModel),\n",
                      "  ibmendefaultshort: 'testString',\n",
                      "  ibmendefaultlong: 'testString',\n",
                      "  specversion: '1.0',\n",
                      "  attachments: [emailAttachmentModel],\n",
                      "};\n",
                      "\n",
                      "const body = notificationCreateModel;\n",
                      "const sendNotificationsParams = {\n",
                      "  instanceId,\n",
                      "  body,\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await eventNotificationsService.sendNotifications(sendNotificationsParams);\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "String notificationDevices = \"{\\\"platforms\\\":[\\\"push_ios\\\",\\\"push_android\\\",\\\"push_chrome\\\",\\\"push_firefox\\\", \\\"push_huawei\\\"]}\";\n",
                      "String fcmJsonString = \"{\\\"message\\\": {\\\"android\\\": {\\\"notification\\\": {\\\"title\\\": \\\"Alert message\\\",\\\"body\\\": \\\"Bob wants to play Poker\\\"},\\\"data\\\": {\\\"name\\\": \\\"Willie Greenholt\\\",\\\"description\\\": \\\"notification for the Poker\\\"}}}}\";\n",
                      "String apnsJsonString = \"{\\\"alert\\\": \\\"Game Request\\\", \\\"badge\\\": 5 }\";\n",
                      "String safariJsonString = \"{\\\"aps\\\":{\\\"alert\\\":{\\\"title\\\":\\\"FlightA998NowBoarding\\\",\\\"body\\\":\\\"BoardinghasbegunforFlightA998.\\\",\\\"action\\\":\\\"View\\\"},\\\"url-args\\\":[\\\"boarding\\\",\\\"A998\\\"]}}\";\n",
                      "String huaweiJsonString = \"{\\\"message\\\":{\\\"android\\\":{\\\"notification\\\":{\\\"title\\\":\\\"New Message\\\",\\\"body\\\":\\\"Hello World\\\",\\\"click_action\\\":{\\\"type\\\":3}}}}}\";\n",
                      "String mailTo = \"[\\\"abc@ibm.com\\\", \\\"def@us.ibm.com\\\"]\";\n",
                      "String smsTo = \"[\\\"+911234567890\\\", \\\"+911224567890\\\"]\";\n",
                      "String slackTo = \"[\\\"C07FALXBH4G\\\", \\\"C07FALXBJ4G\\\"]\";\n",
                      "String mms = \"{\\\"content\\\": \\\"encode mms content\\\", \\\"content_type\\\": \\\"image/png\\\"}\";\n",
                      "String htmlBody = \"\\\"Hi  ,<br/>Certificate expiring in 90 days.<br/><br/>Please login to <a href=\\\"https: //cloud.ibm.com/security-compliance/dashboard\\\">Security and Complaince dashboard</a> to find more information<br/>\\\"\";\n",
                      "String markdown = \"**Event Summary** \\n\\n**Toolchain ID:** `4414af34-a5c7-47d3-8f05-add4af6d78a6`  \\n**Content Type:** `application/json`\\n\\n---\\n\\n *Pipeline Run Details*\\n\\n- **Namespace:** `PR`\\n- **Trigger Name:** `manual`\\n- **Triggered By:** `nitish.kulkarni3@ibm.com`\\n- **Build Number:** `343`\\n- **Pipeline Link:** [View Pipeline Run](https://cloud.ibm.com/devops/pipelines/tekton/e9cd5aa3-a3f2-4776-8acc-26a35922386e/runs/f29ac6f5-bd2f-4a26-abb8-4249be8dbab7?env_id=ibm:yp:us-south)\";\n",
                      "\n",
                      "EmailAttachment attachment1 = new EmailAttachment.Builder()\n",
                      "        .content(\"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==\")\n",
                      "        .filename(\"image.png\")\n",
                      "        .contentType(\"image/png\")\n",
                      "        .disposition(\"attachment\")\n",
                      "        .build();\n",
                      "\n",
                      "EmailAttachment attachment2 = new EmailAttachment.Builder()\n",
                      "        .content(\"PCFET0NUWVBFIGh0bWw+CjxodG1sIGxhbmc9ImVuIj4KCiAgICA8aGVhZD4KICAgICAgICA8bWV0YSBjaGFyc2V0PSJVVEYtOCI+CiAgICAgICAgPG1ldGEgaHR0cC1lcXVpdj0iWC1VQS1Db21wYXRpYmxlIiBjb250ZW50PSJJRT1lZGdlIj4KICAgICAgICA8bWV0YSBuYW1lPSJ2aWV3cG9ydCIgY29udGVudD0id2lkdGg9ZGV2aWNlLXdpZHRoLCBpbml0aWFsLXNjYWxlPTEuMCI+CiAgICAgICAgPHRpdGxlPkRvY3VtZW50PC90aXRsZT4KICAgIDwvaGVhZD4KCiAgICA8Ym9keT4KCiAgICA8L2JvZHk+Cgo8L2h0bWw+Cg==\")\n",
                      "        .filename(\"index.html\")\n",
                      "        .contentType(\"text/html\")\n",
                      "        .disposition(\"attachment\")\n",
                      "        .build();\n",
                      "\n",
                      "java.util.List<EmailAttachment> attachments = java.util.Arrays.asList(attachment1, attachment2);\n",
                      "\n",
                      "NotificationCreate body = new NotificationCreate.Builder()\n",
                      "        .id(instanceId)\n",
                      "        .ibmenseverity(\"MEDIUM\")\n",
                      "        .id(\"FCM ID\")\n",
                      "        .source(sourceId)\n",
                      "        .ibmensourceid(sourceId)\n",
                      "        .type(\"com.acme.offer:new\")\n",
                      "        .time(new java.util.Date())\n",
                      "        .ibmenpushto(notificationDevices)\n",
                      "        .ibmensubject(\"certificate expires\")\n",
                      "        .ibmenmailto(mailTo)\n",
                      "        .ibmensmsto(smsTo)\n",
                      "        .ibmenslackto(slackTo)\n",
                      "        .ibmensmstext(\"SMS text\")",
                      "        .ibmenmms(mms)\n",
                      "        .ibmenhtmlbody(htmlBody)\n",
                      "        .ibmenmarkdown(markDown)\n",
                      "        .ibmenfcmbody(fcmJsonString)\n",
                      "        .ibmenapnsbody(apnsJsonString)\n",
                      "        .ibmenhuaweibody(huaweiJsonString)\n",
                      "        .ibmensafaribody(safariJsonString)\n",
                      "        .ibmendefaultshort(\"Match Info\")\n",
                      "        .ibmendefaultlong(\"Portugal lead the group with a 2-0 win\")\n",
                      "        .specversion(\"1.0\")\n",
                      "        .attachments(attachments)\n",
                      "        .build();\n",
                      "\n",
                      "SendNotificationsOptions sendNotificationsOptions = new SendNotificationsOptions.Builder()\n",
                      "        .instanceId(instanceId)\n",
                      "        .body(body)\n",
                      "        .build();\n",
                      "\n",
                      "Response<NotificationResponse> response = eventNotificationsService.sendNotifications(sendNotificationsOptions).execute();\n",
                      "NotificationResponse notificationResponse = response.getResult();\n",
                      "\n",
                      "System.out.println(notificationResponse);"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "notification_devices_model = {\n",
                      "    'platforms': ['push_huawei', 'push_android', 'push_ios', 'push_chrome', 'push_firefox']\n",
                      "}\n",
                      "\n",
                      "notification_apns_body_model = {\n",
                      "    \"aps\": {\n",
                      "        \"alert\": \"Game Request\",\n",
                      "        \"badge\": 5,\n",
                      "    },\n",
                      "}\n",
                      "notification_fcm_body_model = {\n",
                      "    \"notification\": {\n",
                      "        \"title\": \"Portugal vs. Denmark\",\n",
                      "        \"body\": \"great match!\",\n",
                      "    },\n",
                      "}\n",
                      "\n",
                      "notification_huawei_body_message_data_model = {\n",
                      "    'android': {\n",
                      "        'notification': {\n",
                      "            'title': 'Alert message',\n",
                      "            'body': 'Bob wants to play Poker',\n",
                      "        },\n",
                      "        'data': {\n",
                      "            'name': 'Robert',\n",
                      "            'description': 'notification for the Poker',\n",
                      "        },\n",
                      "    },\n",
                      "}\n",
                      "\n",
                      "notification_huawei_body_model = {\n",
                      "    'message': notification_huawei_body_message_data_model,\n",
                      "}\n",
                      "\n",
                      "message_apns_headers = {\n",
                      "    \"apns-collapse-id\": \"123\",\n",
                      "}\n",
                      "\n",
                      "notificationSafariBodymodel = {\n",
                      "    'saf': {\n",
                      "        'alert': 'Game Request',\n",
                      "        'badge': 5,\n",
                      "    },\n",
                      "}\n",
                      "\n",
                      "htmlbody = '\"Hi  ,<br/>Certificate expiring in 90 days.<br/><br/>Please login to ' \\\n",
                      "           '<a href=\"https: //cloud.ibm.com/security-compliance/dashboard\">' \\\n",
                      "           'Security and Complaince dashboard</a> to find more information<br/>\"'\n",
                      "markdown_content := \"**Event Summary** \\n\\n**Toolchain ID:** `4414af34-a5c7-47d3-8f05-add4af6d78a6`  \\n**Content Type:** `application/json`\\n\\n---\\n\\n *Pipeline Run Details*\\n\\n- **Namespace:** `PR`\\n- **Trigger Name:** `manual`\\n- **Triggered By:** `nitish.kulkarni3@ibm.com`\\n- **Build Number:** `343`\\n- **Pipeline Link:** [View Pipeline Run](https://cloud.ibm.com/devops/pipelines/tekton/e9cd5aa3-a3f2-4776-8acc-26a35922386e/runs/f29ac6f5-bd2f-4a26-abb8-4249be8dbab7?env_id=ibm:yp:us-south)\"",
                      "\n",
                      "mailto = '[\\\"abc@ibm.com\\\", \\\"def@us.ibm.com\\\"]'\n",
                      "smsto = '[\"+911234567890\", \"+911224567890\"]'\n",
                      "slackto = '[\"C07FALXBH4G\", \"C07FAKXBH4G\"]'\n",
                      "mms = '{\\\"content\\\": \\\"encoded mms content\\\", \\\"content_type\\\": \\\"image/png\\\"}'\n",
                      "\n",
                      "email_attachment_model = {\n",
                      "    'content': 'VGhpcyBpcyBhIHRlc3QgYXR0YWNobWVudCBjb250ZW50',\n",
                      "    'filename': 'test_document.txt',\n",
                      "    'content_type': 'text/plain',\n",
                      "    'disposition': 'attachment',\n",
                      "}\n",
                      "\n",
                      "email_attachment_model_2 = {\n",
                      "    'content': 'iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==',\n",
                      "    'filename': 'test_image.png',\n",
                      "    'content_type': 'image/png',\n",
                      "    'disposition': 'attachment',\n",
                      "}\n",
                      "\n",
                      "email_attachments = [email_attachment_model, email_attachment_model_2]\n",
                      "\n",
                      "notification_create_model = {\n",
                      "    'ibmenseverity': notification_severity,\n",
                      "    'ibmenfcmbody': json.dumps(notification_fcm_body_model),\n",
                      "    'ibmenpushto': json.dumps(notification_devices_model),\n",
                      "    'ibmenapnsbody': json.dumps(notification_apns_body_model),\n",
                      "    'ibmenhuaweibody': json.dumps(notification_huawei_body_model),\n",
                      "    'ibmensourceid': source_id,\n",
                      "    'ibmendefaultshort': 'teststring',\n",
                      "    'ibmendefaultlong': 'teststring',\n",
                      "    'ibmensafaribody': json.dumps(notificationSafariBodymodel),\n",
                      "    'ibmenhtmlbody': htmlbody,\n",
                      "    'ibmenmarkdown': markdown_content,\n",
                      "    'ibmensubject': 'Findings on IBM Cloud Security Advisor',\n",
                      "    'ibmenmailto': mailto,\n",
                      "    'attachments': email_attachments,\n",
                      "    'ibmensmsto': smsto,\n",
                      "    'ibmenslackto': slackto,\n",
                      "    'ibmensmstext': 'SMS text',\n",
                      "    'ibmenmms': mms,\n",
                      "    'id': notification_id,\n",
                      "    'source': notifications_source,\n",
                      "    'type': type_value,\n",
                      "    'specversion': '1.0',\n",
                      "    'time': '2019-01-01T12:00:00.000Z',\n",
                      "}\n",
                      "\n",
                      "send_notifications_response = event_notifications_service.send_notifications(\n",
                      "    instance_id,\n",
                      "    body=notification_create_model\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(send_notifications_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/v1/instances/{instance_id}/templates": {
      "parameters": [
        {
          "$ref": "#/components/parameters/InstanceID"
        }
      ],
      "post": {
        "summary": "Create a new Template",
        "x-codegen-request-body-name": "body",
        "description": "Create a new Template",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "event-notifications.templates.create"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "event-notifications.templates.create"
            }
          ]
        },
        "operationId": "create_template",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TemplateCreate"
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/TemplateResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestError"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "415": {
            "$ref": "#/components/responses/UnsupportedError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/UnexpectedError"
          }
        },
        "tags": [
          "Templates"
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Custom Domain Email Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"template\",\n  \"description\": \"This is template\",\n  \"type\": \"smtp_custom.invitation|smtp_custom.notification\",\n   \"params\": {\n      \"body\": \"PCFET0NUWVBFIGh0bWw+PGh0bWw+PGhlYWQ+PHRpdGxlPklCTSBFdmVudCBOb3RpZmljYXRpb25zPC90aXRsZT48L2hlYWQ+PGJvZHk+PHA+SGVsbG8hIEludml0YXRpb24gdGVtcGxhdGU8L3A+PHRhYmxlPjx0cj48dGQ+SGVsbG8gaW52aXRhdGlvbiBsaW5rOnt7IGlibWVuX2ludml0YXRpb24gfX0gPC90ZD48L3RyPjwvdGFibGU+PC9ib2R5PjwvaHRtbD4=\", \n        \"subject\": \"Hi this is invitation for invitation message\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Webhook Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"template\",\n  \"description\": \"This is template\",\n  \"type\": \"webhook.notification\",\n   \"params\": {\n      \"body\": \"eyJuYW1lIjoie3tkYXRhLm5hbWV9fSIifQ==\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Slack Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"template\",\n  \"description\": \"This is template\",\n  \"type\": \"slack.notification\",\n   \"params\": {\n      \"body\": \"ewogICJib2R5IjogIjxodG1sPmhlbGxvIFdvcmxkPC9odG1sPiIsCiAgInN1YmplY3QiOiAiSGkgdGhpcyBpcyBpbnZpdGF0aW9uIGZvciBpbnZpdGF0aW9uIG1lc3NhZ2UiCn0=\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Pagerduty Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"template\",\n  \"description\": \"This is PD template\",\n  \"type\": \"pagerduty.notification\",\n   \"params\": {\n      \"body\": \"ewogICJwYXlsb2FkIjogewogICAgInN1bW1hcnkiOiAie3sgZGF0YS5hbGVydF9kZWZpbml0aW9uLm5hbWV9fSIsCiAgICAidGltZXN0YW1wIjogInt7dGltZX19IiwKICAgICJzZXZlcml0eSI6ICJpbmZvIiwKICAgICJzb3VyY2UiOiAie3sgc291cmNlIH19IgogIH0sCiAgImRlZHVwX2tleSI6ICJ7eyBpZCB9fSIsCiAge3sjZXF1YWwgZGF0YS5zdGF0dXMgInRyaWdnZXJlZCJ9fQogICJldmVudF9hY3Rpb24iOiAidHJpZ2dlciIKICAge3svZXF1YWx9fQoKICB7eyNlcXVhbCBkYXRhLnN0YXR1cyAicmVzb2x2ZWQifX0KICAiZXZlbnRfYWN0aW9uIjogInJlc29sdmUiCiAge3svZXF1YWx9fQoKICAge3sjZXF1YWwgZGF0YS5zdGF0dXMgImFja25vd2xlZGdlZCJ9fQogICAiZXZlbnRfYWN0aW9uIjogImFja25vd2xlZGdlIgogICB7ey9lcXVhbH19Cn0=\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Code Engine Application Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"Code Engine Application template\",\n  \"description\": \"This is Code Engine Application template\",\n  \"type\": \"ibmceapp.notification\",\n   \"params\": {\n      \"body\": \"ewogICJ2YXIxIjogInt7ZGF0YS52YXIxfX0iLAogICJ2YXIyIjogInt7ZGF0YS52YXIyfX0iCn0=\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Code Engine Job Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  \"{base_url}/v1/instances/{instance_id}/templates\" \\\n",
                      "  --data-raw '{\n  \"name\": \"Code Engine Job template\",\n  \"description\": \"This is Code Engine Job template\",\n  \"type\": \"ibmcejob.notification\",\n   \"params\": {\n      \"body\": \"ewogInJ1bl9lbnZfdmFyaWFibGVzIjogWwogICB7ICJuYW1lIjogInJlZ2lvbiIsICJ2YWx1ZSI6ICJ7e2RhdGEucmVnaW9ufX0iLCJ0eXBlIjogImxpdGVyYWwifSwKeyJuYW1lIjoiVkFSMSIsInR5cGUiOiJsaXRlcmFsIiwidmFsdWUiOiJ7e2RhdGEudmFyMX19In0sCnsibmFtZSI6IlZBUjIiLCJ0eXBlIjoibGl0ZXJhbCIsInZhbHVlIjoie3tkYXRhLnZhcjJ9fSJ9Cl0KfQ==\", \n  }\n}'"
                    ]
                  }
                ]
              },
              {
                "name": "Event Streams Template Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer {iam_token}\" \\\n",
[...]
